## networking-generic-switch 7.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
etcd3gw>=0.2.4 # Apache-2.0
eventlet>=0.18.2 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
netmiko>=4.1.1 # MIT
neutron>=13.0.0.0b1 # Apache-2.0
neutron-lib>=1.18.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.utils>=3.40.2 # Apache-2.0
tenacity>=6.0.0 # Apache-2.0
tooz>=2.5.1 # Apache-2.0

=== debian/changelog ===
networking-generic-switch (7.2.0-3) unstable; urgency=medium

  * Restrict autopkgtest architecture list.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Apr 2024 08:53:45 +0200

networking-generic-switch (7.2.0-2) unstable; urgency=medium

  * Re-upload source-only.
  * Blacklist test_acquire_worker_lock_success in autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Apr 2024 10:30:01 +0200

networking-generic-switch (7.2.0-1) unstable; urgency=medium

  * Initial packaging (Closes: #1066184).

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 17:57:21 +0200

=== debian/control ===
Source: networking-generic-switch
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-etcd3gw,
 python3-eventlet,
 python3-fixtures,
 python3-futurist,
 python3-netmiko (>= 4.1.1),
 python3-neutron,
 python3-neutron-lib,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-stestr,
 python3-stevedore,
 python3-tenacity,
 python3-tooz,
 subunit,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/networking-generic-switch
Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/networking-generic-switch.git
Homepage: https://github.com/openstack/networking-generic-switch

Package: python3-networking-generic-switch
Architecture: all
Section: python
Depends:
 python3-etcd3gw,
 python3-eventlet,
 python3-netmiko (>= 4.1.1),
 python3-neutron,
 python3-neutron-lib,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-stevedore,
 python3-tenacity,
 python3-tooz,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - networking-generic-switch
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the networking-generic-switch ML2 plugin.

## networking-generic-switch 7.4.0

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
-etcd3gw>=0.2.4 # Apache-2.0
+etcd3gw>=2.1.0 # Apache-2.0
 eventlet>=0.18.2 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
 netmiko>=4.1.1 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-pecanwsme>=0.8.0 # Apache-2.0
sphinxcontrib-seqdiag>=0.8.4 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
networking-generic-switch (7.4.0-3~cloud0) noble-epoxy; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Thu, 19 Dec 2024 19:00:14 +0000

networking-generic-switch (7.4.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090442).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 13:54:56 +0100

networking-generic-switch (7.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 14:10:13 +0200

networking-generic-switch (7.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed version of etcd3gw.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Aug 2024 10:32:24 +0200

=== debian/tests/control ===
Tests: unittests
Depends:
 @,
 @builddeps@,
Restrictions: allow-stderr needs-root
Architecture: amd64, arm64, ppc64el

## networking-generic-switch 7.4.1

=== debian/changelog ===
networking-generic-switch (7.4.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 03 Feb 2026 14:51:25 +0000

## networking-generic-switch 7.5.0

=== requirements.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
 etcd3gw>=2.1.0 # Apache-2.0
 eventlet>=0.18.2 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0

=== doc/requirements.txt ===
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-pecanwsme>=0.8.0 # Apache-2.0
sphinxcontrib-seqdiag>=0.8.4 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
networking-generic-switch (7.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:26:39 +0100

networking-generic-switch (7.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 08:58:30 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-sphinx,
 Build-Depends-Indep:
  python3-coverage,
- python3-etcd3gw,
+ python3-etcd3gw (>= 2.1.0),
  python3-eventlet,
  python3-fixtures,
  python3-futurist,
@@ -39,7 +39,7 @@
 Architecture: all
 Section: python
 Depends:
- python3-etcd3gw,
+ python3-etcd3gw (>= 2.1.0),
  python3-eventlet,
  python3-netmiko (>= 4.1.1),
  python3-neutron,

## networking-generic-switch 8.0.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
 etcd3gw>=2.1.0 # Apache-2.0
-eventlet>=0.18.2 # Apache-2.0
+oslo.service[threading]>=4.2.0 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
 netmiko>=4.1.1 # MIT
 neutron>=13.0.0.0b1 # Apache-2.0

=== debian/changelog ===
networking-generic-switch (8.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:59:37 +0200

networking-generic-switch (8.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switched to debhelper-compat=11.
  * Standards-Version: 4.7.2.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Sep 2025 12:40:40 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -14,23 +14,23 @@
  python3-sphinx,
 Build-Depends-Indep:
  python3-coverage,
- python3-etcd3gw (>= 2.1.0),
- python3-eventlet,
+ python3-etcd3gw,
  python3-fixtures,
  python3-futurist,
- python3-netmiko (>= 4.1.1),
+ python3-netmiko,
  python3-neutron,
  python3-neutron-lib,
  python3-oslo.config,
  python3-oslo.i18n,
  python3-oslo.log,
+ python3-oslo.service (>= 4.2.0),
  python3-oslo.utils,
  python3-stestr,
  python3-stevedore,
  python3-tenacity,
  python3-tooz,
  subunit,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/networking-generic-switch
 Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/networking-generic-switch.git
 Homepage: https://github.com/openstack/networking-generic-switch
@@ -39,14 +39,14 @@
 Architecture: all
 Section: python
 Depends:
- python3-etcd3gw (>= 2.1.0),
- python3-eventlet,
- python3-netmiko (>= 4.1.1),
+ python3-etcd3gw,
+ python3-netmiko,
  python3-neutron,
  python3-neutron-lib,
  python3-oslo.config,
  python3-oslo.i18n,
  python3-oslo.log,
+ python3-oslo.service (>= 4.2.0),
  python3-oslo.utils,
  python3-stevedore,
  python3-tenacity,

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/networking-generic-switch
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Doing nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp
		
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'networking_generic_switch\.tests\.unit.*'
endif

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Tests:
 unittests,
Depends:
 @,
 @builddeps@,
Restrictions:
 allow-stderr needs-root,
Architecture: amd64, arm64, ppc64el

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/networking-generic-switch/tags .*/(\d[brc\d\.]+)\.tar\.gz

## networking-generic-switch 9.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # Requirements lower bounds listed here are our best effort to keep them up to
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
-etcd3gw>=2.1.0 # Apache-2.0
+etcd3gw>=2.3.0 # Apache-2.0
 oslo.service[threading]>=4.2.0 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
-netmiko>=4.1.1 # MIT
+netmiko>=4.4.0 # MIT
 neutron>=13.0.0.0b1 # Apache-2.0
 neutron-lib>=1.18.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0

=== doc/requirements.txt ===
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-pecanwsme>=0.8.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
networking-generic-switch (9.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Mar 2026 13:02:25 +0100
